Bug 1176625 - SELinux denials for shorewall
Summary: SELinux denials for shorewall
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 21
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Lukas Vrabec
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-12-22 15:45 UTC by Orion Poplawski
Modified: 2015-01-30 23:55 UTC (History)
5 users (show)

Fixed In Version: selinux-policy-3.13.1-105.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-01-30 23:55:01 UTC
Type: Bug


Attachments (Terms of Use)

Description Orion Poplawski 2014-12-22 15:45:45 UTC
Description of problem:

Saw this, presumably on shorewall startup:

type=AVC msg=audit(1419201430.133:249): avc:  denied  { write } for  pid=2223 comm="sh" name="rt_tables" dev="dm-0" ino=15767 scontext=system_u:system_r:shorewall_t:s0 tcontext=system_u:object_r:etc_t:s0 tclass=file permissive=0
type=AVC msg=audit(1419201434.136:250): avc:  denied  { execute } for  pid=2820 comm="sh" name="arping" dev="dm-0" ino=143329 scontext=system_u:system_r:shorewall_t:s0 tcontext=system_u:object_r:netutils_exec_t:s0 tclass=file permissive=0

Looks like legitimate actions to me.

Version-Release number of selected component (if applicable):
selinux-policy-3.13.1-103.fc21.noarch
shorewall-4.6.5.1-1.fc21.noarch

Comment 1 Daniel Walsh 2014-12-23 18:44:12 UTC
7aa596834ba94a7c73e1d2fb391ed18fce6fc93a fixes this in git.

Comment 2 Lukas Vrabec 2015-01-15 14:20:11 UTC
commit 0c3fdaff0b06fa12c390b48b5f0d7d266594c41a
Author: Lukas Vrabec <lvrabec@redhat.com>
Date:   Thu Jan 15 15:19:42 2015 +0100

    Allow shorewall to transition to the netutils domain

Comment 3 Fedora Update System 2015-01-27 16:49:39 UTC
selinux-policy-3.13.1-105.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/selinux-policy-3.13.1-105.fc21

Comment 4 Fedora Update System 2015-01-30 04:32:34 UTC
Package selinux-policy-3.13.1-105.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.13.1-105.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-1337/selinux-policy-3.13.1-105.fc21
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2015-01-30 23:55:01 UTC
selinux-policy-3.13.1-105.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.